##### posix::basic_descriptor::cancel (1 of 2 overloads)

Cancel all asynchronous operations associated with the descriptor.

    void cancel();

This function causes all outstanding asynchronous read or write operations to finish immediately, and the handlers for cancelled operations will be passed the `asio::error::operation_aborted` error.

###### Exceptions

asio::system_error

  Thrown on failure.